---------------------
PatchSet 5113 
Date: 2007/07/30 11:46:46
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Convert more ICMP code.

Members: 
	src/icmp.cc:1.8.8.11->1.8.8.12 

Index: squid3/src/icmp.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/icmp.cc,v
retrieving revision 1.8.8.11
retrieving revision 1.8.8.12
diff -u -r1.8.8.11 -r1.8.8.12
--- squid3/src/icmp.cc	11 Jun 2007 13:05:45 -0000	1.8.8.11
+++ squid3/src/icmp.cc	30 Jul 2007 11:46:46 -0000	1.8.8.12
@@ -1,6 +1,6 @@
 
 /*
- * $Id: icmp.cc,v 1.8.8.11 2007/06/11 13:05:45 amosjeffries Exp $
+ * $Id: icmp.cc,v 1.8.8.12 2007/07/30 11:46:46 amosjeffries Exp $
  *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels
@@ -167,7 +167,7 @@
 #if ALLOW_SOURCE_PING
 static void
 
-icmpHandleSourcePing(const struct sockaddr_in *from, const char *buf)
+icmpHandleSourcePing(const IPAddress &from, const char *buf)
 {
     const cache_key *key;
     icp_common_t header;
@@ -175,7 +175,7 @@
     xmemcpy(&header, buf, sizeof(icp_common_t));
     url = buf + sizeof(icp_common_t);
     key = icpGetCacheKey(url, (int) header.reqnum);
-    debugs(37, 3, "icmpHandleSourcePing: from " << inet_ntoa(from->sin_addr) << ", key '" << storeKeyText(key) << "'");
+    debugs(37, 3, "icmpHandleSourcePing: from " << from << ", key '" << storeKeyText(key) << "'");
 
     /* call neighborsUdpAck even if ping_status != PING_WAITING */
     neighborsUdpAck(key, &header, from);
